#!/usr/bin/env bash
#
# Shell script to fetch and verify alpine
# Copyright 2020 by Nils Freydank <nils+container@holgersson.xyz>,
# published according to terms of the MIT license.

set -xeu
PATH="/usr/bin:/usr/sbin/:/bin/:/usr/bin"

VERSION="${VERSION:-3.11.6}"
ARCH="${ARCH:-x86_64}"

# Fetch!
wget -c http://dl-cdn.alpinelinux.org/alpine/v${VERSION%.[0-9]*}/releases/${ARCH}/alpine-minirootfs-${VERSION}-${ARCH}.tar.gz{,.asc}
# Verify!
gpg --verify alpine-minirootfs-${VERSION}-${ARCH}.tar.gz{.asc,}
# Do magic!
podman build . -t alpine-${ARCH}:${VERSION}
# Cleanup!
rm -f alpine-minirootfs-${VERSION}-${ARCH}.tar.gz{.asc,}
